#!/bin/sh
# Licensed Materials - Property of IBM
# 5724-S67
# (c) Copyright IBM Corp. 1998, 2007   All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# 0 - no debug info (only critical messages)
# 1 - main functionality debug (should be default)
# 2 - deep debugging (input parameters of functions, return values)
# 3 - full debug
DEBUG_LEVEL="1"
DEBUG_LOG="../log/wrapgetnewrecs.log"

SYSLOG_NG_CONF=/usr/local/etc/syslog-ng/syslog-ng.conf

#
# Function: debug LEVEL DEBUG_MESSAGE
# Input: Level of message (see DEBUG_LEVEL variable)
#        Message to be outputed to debug file
# Return: none
#
debug ()
{
  test "$DEBUG_LEVEL" -lt "$1" && return
  echo "[`date`] $2" >> "$DEBUG_LOG"
}


#
# Function: die EXITCODE MESSAGE
# 
die ()
{
  debug 0 "ERROR: ""$2"
  debug 0 "Exit code: [$1]"
  exit $1
}


#
# MAIN
#

# WE070A003: translate host name to lowercase
INSIGHT_SYSTEMNAME=`echo $INSIGHT_SYSTEMNAME | tr 'A-Z' 'a-z'`

debug 1 "main: INSIGHT_SYSTEMNAME = [$INSIGHT_SYSTEMNAME]"

# WE070A003: removed check for Consul's Syslog NG package installation

# starting getnewrecs.sh
../bin/getnewrecs.sh "$1" "$2" "$3/$INSIGHT_SYSTEMNAME" "$4" "$5"

