TEMP_FILE=$1
HOST_NAME=$2
DB_PORT=$3
DB_NAME=$4
USER=$5
PASS=$6
SQL_FILE=$7
TDCOLUMN=$8
IDCOLUMN=$9

# actuator progress log file name
LOG_FILE="../log/$PROPSFILE.log"

# verify TEMP_FILE1 propeprty
if [ "$TEMP_FILE" = "" ]; 
then
   echo "[`date`] Failure: Missing argument TEMPFILE">>$LOG_FILE;
   echo "[`date`] Processing finished. [FAILURE]">>$LOG_FILE;
   exit 1;
fi

# verify DB_PORT propeprty
if [ "$DB_PORT" = "" ]; 
then
   echo "[`date`] Failure: Data Base Port argument is missed ">>$LOG_FILE;
   echo "[`date`] Processing finished (Return code 1)">>$LOG_FILE;
   exit 1;
fi

# verify USERNAME propeprty
if [ "$USER" = "" ]; 
then
   echo "[`date`] Failure: Missing argument database USERNAME ">>$LOG_FILE;
   echo "[`date`] Processing finished (Return code 1)">>$LOG_FILE;
   exit 1;
fi

# !!! we do not check PASS property (user password) !!!

# verify PROPSFILE
if [ "$PROPSFILE" = "" ]; 
then
   echo "[`date`] Failure: Missing argument PROPS_FILE ">>$LOG_FILE;
   echo "[`date`] Processing finished (Return code 1)">>$LOG_FILE;
   exit 1;
fi

# lunching jdbcg
java -Dfile.encoding=UTF-8 -classpath "$CLASSPATH:../bin/jdbc-genact.jar" eprise.audit.chunktool.generic.java.JdbcGenact -datetimeformat="yyyy-MM-dd HH:mm:ss" -driver="DB2" -host="$HOST_NAME" -port="$DB_PORT" -database="$DB_NAME" -username="$USER" -passwd="$PASS" -props="$PROPSFILE" -outfilename="$TEMP_FILE" -sqlfilename="$SQL_FILE" -useheaderline="YES" -tdcolumn="$TDCOLUMN" -idcolumn="$IDCOLUMN" -separator=";" -eraseoutfile="YES" >> $LOG_FILE

code=$?
if [ $code = 0 ];
then
   exit 0
else
   exit 1
fi
