REM Licensed Materials - Property of IBM
REM 5724-S67
REM (c) Copyright IBM Corp. 1998, 2008  All Rights Reserved.
REM US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@echo off

rem set of vars from the command line
set TEMP_FILE1=%1
set GROUP_FILE=%2
set DB_PORT=%3
set DB_NAME=%4
set USER=%5
set PASS=%6


for %%A in (%*) do set PROPS_FILE=%%A

rem set of  vars for *.sql filename
set GROUPS_SQL_FILE=groups.sql_%PROPS_FILE%

rem actuator progress log file name
set LOG_FILE="..\log\%PROPS_FILE%.log"

set PERSONS_TMP=persons.txt_%PROPS_FILE%
set SOURCE_TMP=source.txt_%PROPS_FILE%
rem create actuator progress file name and write the first 
type nul > %LOG_FILE%
echo [%date%][%time%] Processing started ...> %LOG_FILE%

rem verify TEMP_FILE1 propeprty
if %TEMP_FILE1% EQU "" (
echo 3
    echo [%date%][%time%] Failure: Missing argument TEMPFILE1 >> %LOG_FILE%
    echo [%date%][%time%] Processing finished. [FAILURE]>> %LOG_FILE%
    exit /b 1
)

rem verify DB_PORT propeprty
if %DB_PORT% EQU "" (
    echo [%date%][%time%] Failure: Data Base Port >> %LOG_FILE%
    echo [%date%][%time%] Processing finished. [FAILURE]>> %LOG_FILE%
    exit /b 1
)

rem verify USER propeprty
if %USER% EQU "" (
    echo [%date%][%time%] Failure: Missing argument USER >> %LOG_FILE%
    echo [%date%][%time%] Processing finished. [FAILURE]>> %LOG_FILE%
    exit /b 1
)

rem !!! we do not check PASS property (user password) !!!

rem verify PROPS_FILE  propeprty
if %PROPS_FILE% EQU "" (
    echo [%date%][%time%] Failure: Missing argument PROPS_FILE >> %LOG_FILE%
    echo [%date%][%time%] Processing finished. [FAILURE]>> %LOG_FILE%
    exit /b 1
)

set HOST_NAME="empty"
rem obtain "SystemName" (host name)
if exist %PROPS_FILE% (
  findstr "SystemName" %PROPS_FILE%> nul
  if NOT errorlevel 1 (
    for /F "tokens=1,2 delims== " %%i in ('findstr "SystemName" %PROPS_FILE%') do (
     set HOST_NAME=%%j
    )
  ) 
) 

rem SQL-query for GROUPS:
echo SELECT f1.USE_ID, '^"'^|^|f1.USERID^|^|'^"' as f1_USERID, '^"'^|^|f1.NAME^|^|'^"' as f1_NAME, VALUE('^"'^|^|f3.NAME^|^|'^"','^"^"') as f3_NAME FROM JAC_SYS.USERS f1 LEFT OUTER JOIN JAC_SYS.UGP_USE_MEMBERS f2 ON f1.USE_ID=f2.USE_ID LEFT OUTER JOIN JAC_SYS.USE_GROUPS f3 ON f2.UGP_ID=f3.UGP_ID  > %GROUPS_SQL_FILE%


rem call jdbc-genact with all needed parameters to obtain ADMIN_LOG audit info
call java -classpath "%CLASSPATH%;db2jcc.jar;db2jcc_license_cu.jar;sqljdbc.jar;../bin/jdbc-genact.jar" -Dfile.encoding=UTF-8 eprise.audit.chunktool.generic.java.JdbcGenact -driver="DB2" -host=%HOST_NAME% -port=%DB_PORT% -database="JAC" -username=%USER% -passwd=%PASS% -props=%PROPS_FILE% -outfilename=%TEMP_FILE1%_tmp -sqlfilename=%GROUPS_SQL_FILE% -useheaderline=YES -tdcolumn="" -idcolumn="" -separator=";" -datetimeformat="yyyy-MM-dd HH:mm:ss" -eraseoutfile=YES >> %LOG_FILE%

rem verify result of jdbc-genact
if %errorlevel% NEQ 0 (
  set /A ReturnCode=1
  echo Warning: Collect from table JAC_SYS.USERS is finished [FAILURE] >> %LOG_FILE%
) else (
  set /A ReturnCode=0
  echo Collect from table JAC_SYS.USERS is finished [SUCCESS] >> %LOG_FILE%
)

rem delete admin.sql file
setlocal enabledelayedexpansion 
set type=0
del /Q %GROUPS_SQL_FILE%

echo [SourceGroup]>%SOURCE_TMP%
echo [Persons]>%PERSONS_TMP%

for /f "tokens=3,4,5 delims=;" %%c in ('type "%TEMP_FILE1%_tmp"') do (
   if "!type!"=="1" ( 
      if %%e NEQ "" (
      echo %%e>>%SOURCE_TMP%
      echo {>> %SOURCE_TMP%
      echo    match logonname %%c>> %SOURCE_TMP%
      echo }>> %SOURCE_TMP%
      )
      if %%d NEQ "" (
      echo %%d %%d "0">>%PERSONS_TMP%
      echo {>> %PERSONS_TMP%
      echo    match logonname %%c>> %PERSONS_TMP%
      echo }>> %PERSONS_TMP%
      )
    ) else ( set type=1
   )
)
endlocal enabledelayedexpansion 

copy %PERSONS_TMP%+%SOURCE_TMP% %TEMP_FILE1% /B

del /Q %PERSONS_TMP%
del /Q %SOURCE_TMP%

if %ReturnCode% NEQ 0 (
  echo [%date%][%time%] Processing finished. [FAILURE] >> %LOG_FILE%
  exit /b 1
) else (
  echo [%date%][%time%] Processing finished. [SUCCESS] >> %LOG_FILE%
  exit /b 0
)

