LOG_FILE="../log/$PROPSFILE.log"

echo "[`date`] Processing started ..." > $LOG_FILE

TRICKFILE="trick_$PROPSFILE"

# obtain hostname
HOST_NAME=`grep "SystemName" $PROPSFILE | tr "=" " " | awk '{print $2}' | col -b`

# set of  vars for sql-quary
SQL_FILE="admin.sql_$PROPSFILE"
TDCOLUMN="logdate"
IDCOLUMN=""
TABLENAME="jac_sys.admin_log"

# SQL-query for jac_sys.admin_log
echo "SELECT tb2.userid, tb1.* from jac_sys.admin_log tb1 left outer join jac_sys.users tb2 on tb1.use_id=tb2.use_id order by tb1.logdate" > $SQL_FILE

echo "Starting collect from table $TABLENAME" >> $LOG_FILE

# running gettscm_shared.sh
`../bin/gettscm_shared.sh "$TEMPFILE1" "$HOST_NAME" "$OPTION2" "$OPTION3" "$OPTION4" "$OPTION5" "$SQL_FILE" "$TDCOLUMN" "$IDCOLUMN"`

code=$?
if [ $code = 0 ];
then
   echo "Collect from table $TABLENAME is finished [SUCCESS]" >> $LOG_FILE
   echo "$TABLENAME -> SUCCESS" > $TRICKFILE
else
   echo "Warning: Collect from table $TABLENAME is finished [FAILURE]" >> $LOG_FILE
   touch $TEMPFILE1
fi

# delete error.sql file
rm -f $SQL_FILE

exit 0
