@echo off
set TEMP_FILE1=%1
set HOST="empty"
set PORT=%3
set USER_NAME=%4
set PASSWORD=%5
set WAS_INSTALL_DIR=%6
set PROPS_FILE=%7
echo PROPS_FILE %PROPS_FILE%
set LOG_FILE="..\log\%PROPS_FILE%.log"


if exist %PROPS_FILE% (
  findstr "SystemName" %PROPS_FILE%> nul
  if NOT errorlevel 1 (
    for /F "tokens=1,2 delims==" %%i in ('findstr "SystemName" %PROPS_FILE%') do (
     set HOST=%%j
    )
  ) 
) 

if %HOST% EQU "empty" (
  echo Failure: Missing paramter SystemName from PROPS_FILE >> %LOG_FILE%
  echo [%date%][%time%] "Processing finished [FAILURE]">> %LOG_FILE%
  exit /b 1
)

echo [%date%][%time%] Processing start. > %LOG_FILE%
if %TEMP_FILE1% EQU "" (
        echo [%date%][%time%]Failure: Missing output file argument>> %LOG_FILE%
    echo [%date%][%time%] Processing finished. [FAILURE]>> %LOG_FILE%
        exit /b 1
)


if %PORT% EQU "" (
        echo [%date%][%time%] Failure: Missing WAS repository SOAP port argument>> %LOG_FILE%
    echo [%date%][%time%] Processing finished. [FAILURE]>> %LOG_FILE%
        exit /b 1
)


if %USER_NAME% EQU "" (
        echo [%date%][%time%] Warning: Missing Repository User argument>> %LOG_FILE%
)

if %PASSWORD% EQU "" (
        echo [%date%][%time%] Warning: Missing Repository Password argument>> %LOG_FILE%
)

if %WAS_INSTALL_DIR% EQU "" (
        echo [%date%][%time%] Failure: Missing WAS installation directory argument>> %LOG_FILE%
    echo [%date%][%time%] Processing finished. [FAILURE]>> %LOG_FILE%
        exit /b 1
) 

if %PROPS_FILE% EQU "" (
        echo [%date%][%time%] Failure: Missing argument PROPS_FILE >> %LOG_FILE%
    echo [%date%][%time%] Processing finished. [FAILURE]>> %LOG_FILE%
        exit /b 1
) 

set profileCmd="%WAS_INSTALL_DIR%"\properties\fsdb\_was_profile_default\default.bat
if exist "%profileCmd%" (
    echo [%date%][%time%] WebSphere component ['WAS installation directory'\properties\fsd\_was_profile_default\default.bat] found.>> %LOG_FILE%
) else (
    echo [%date%][%time%] WebSphere component  ['WAS installation directory'\properties\fsd\_was_profile_default\default.bat] not found. Check 'WAS installation directory' ES property.>> %LOG_FILE%
    echo [%date%][%time%] [%%WAS_INSTALL_DIR%%] %WAS_INSTALL_DIR% >> %LOG_FILE%
    echo [%date%][%time%] Processing finished. [FAILURE]>> %LOG_FILE%
    exit /b 1
)
@rem load environment variables so WAS will work
set CLIENTSSL=null
 call "%profileCmd%"
 if NOT exist "%WAS_USER_SCRIPT%" (
    echo [%date%][%time%] WebSphere component  [%WAS_USER_SCRIPT%] not found.>> %LOG_FILE%
    echo [%date%][%time%] [%%WAS_USER_SCRIPT%%] %WAS_USER_SCRIPT% >> %LOG_FILE%
    echo [%date%][%time%] Processing finished. [FAILURE]>> %LOG_FILE%
    exit /b 1
) else (
    echo [%date%][%time%] WebSphere component [%WAS_USER_SCRIPT%] found.>> %LOG_FILE%
)
 call "%WAS_USER_SCRIPT%"

if "%CLIENTSSL%" EQU "null" (
@rem WAS V6.0
"%JAVA_HOME%/bin/java"  -Djava.security.auth.login.config="%WAS_HOME%/properties/wsjaas_client.conf" -Dws.ext.dirs="%WAS_EXT_DIRS%;%WAS_USER_DIRS%;." -Djava.ext.dirs="%JAVA_HOME%/jre/lib/ext;%WAS_EXT_DIRS%" -Djava.naming.factory.initial=com.ibm.websphere.naming.WsnInitialContextFactory  -Dserver.root="%WAS_HOME%" "%CLIENTSAS%" "-Dcom.ibm.CORBA.loginSource"=none -Duser.install.root="%USER_INSTALL_ROOT%" -classpath "%WAS_CLASSPATH%;%WAS_HOME%/lib/admin.jar;%WAS_HOME%/lib/utils.jar;%WAS_HOME%/lib/wsexception.jar;%WAS_HOME%/lib/wssec.jar;%WAS_HOME%/lib/ras.jar;%WAS_HOME%/lib/sas.jar;%WAS_HOME%/lib/emf.jar;%WAS_HOME%/lib/ffdc.jar;%WAS_HOME%/deploytool/itp/plugins/com.ibm.etools.j2ee.core.ws.ext_1.0.0/runtime/fixup.jar;%WAS_HOME%/deploytool/itp/plugins/com.ibm.websphere.webservice.rt.v5.1.dependencies_6.0.0/lib/common.jar;../bin/getwasgroups.jar;". nl.consul.cea.gensub.iwasuis.java.GetWASGroups -host %HOST% -port %PORT% -username %USER_NAME% -password %PASSWORD% -chunk %TEMP_FILE1% -propsfile %PROPS_FILE% 1>> %LOG_FILE% 2>&1
if NOT errorlevel 1 (
  echo Collecting finished. >> %LOG_FILE%
) else (
    echo [%date%][%time%] Collect process failed >> %LOG_FILE%
    echo [%date%][%time%] Processing finished. [FAILURE] >> %LOG_FILE%
    exit /b 1
)
)
if "%CLIENTSSL%" NEQ "null" (
@rem V6.1
"%JAVA_HOME%/bin/java"  -Djava.security.auth.login.config="%WAS_HOME%/properties/wsjaas_client.conf" -Dws.ext.dirs="%WAS_EXT_DIRS%;%WAS_USER_DIRS%;." -Djava.naming.factory.initial=com.ibm.websphere.naming.WsnInitialContextFactory  -Dserver.root="%WAS_HOME%" "%CLIENTSAS%" "%CLIENTSSL%"  "-Dcom.ibm.CORBA.loginSource"=none -Duser.install.root="%USER_INSTALL_ROOT%" -classpath "%WAS_CLASSPATH%";"%WAS_HOME%\plugins\com.ibm.ws.security.crypto_6.1.0.jar";"%WAS_HOME%\bin\ProfileManagement\plugins\com.ibm.websphere.v61_6.1.0\ws_runtime.jar";"%WAS_HOME%\runtimes\com.ibm.ws.webservices.thinclient_6.1.0.jar";../bin/getwasgroups.jar;. nl.consul.cea.gensub.iwasuis.java.GetWASGroups -host %HOST% -port %PORT% -username %USER_NAME% -password %PASSWORD% -chunk %TEMP_FILE1% -propsfile %PROPS_FILE% 1>> %LOG_FILE% 2>&1
if NOT errorlevel 1 (
  echo Collecting finished. >> %LOG_FILE%
) else (
    echo [%date%][%time%] Collect process failed >> %LOG_FILE%
    echo [%date%][%time%] Processing finished. [FAILURE] >> %LOG_FILE%
    exit /b 1
)
)
echo [%date%][%time%] Processing finished. [SUCCESS]  >> %LOG_FILE%
